## musixtex 0.112.2

=== examples/Makefile ===
#
# Makefile for compilation of examples
#
# written for Debian
# 
# Copyright 2001, Andreas Tille <tille@debian.org>
# Copyright 2003, Roland Stigge <stigge@antcom.de>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 

examples: angescam.dvi \
          angescao.dvi \
	  avemaria.dvi \
	  avemarid.dvi \
	  avemaril.dvi \
          aveverch.dvi \
          aveverdd.dvi \
          aveveruc.dvi \
          aveverud.dvi \
	  purcellx.dvi \
	  traeumer.dvi

.SUFFIXES: .tex .dvi

.tex.dvi:
	musixtex $<
## If this does not work try
#	tex $<
#	musixflx `basename $< .tex`
#	tex $<

angescam.dvi: angescam.tex aveverum.tex
angescao.dvi: angescao.tex angescax.tex
avemaria.dvi: avemaria.tex avemarix.tex
avemarid.dvi: avemarid.tex
avemaril.dvi: avemaril.tex avemarix.tex
aveverch.dvi: aveverch.tex aveverum.tex
aveverdd.dvi: aveverdd.tex aveverum.tex
aveveruc.dvi: aveveruc.tex aveverum.tex
aveverud.dvi: aveverud.tex aveverum.tex
traeumer.dvi: traeumer.tex

clean:
	rm -f *.mx[12] *.log

realclean proper: clean
	rm -f *.dvi *.toc

## musixtex 0.114

=== debian/changelog ===
musixtex (1:0.114-4) unstable; urgency=low

  * debian/rules: Don't compress the .tex example files

 -- Roland Stigge <stigge@antcom.de>  Tue, 29 Jun 2010 21:11:53 +0200

musixtex (1:0.114-3) unstable; urgency=low

  * debian/control:
    - Provide: musixlyr, musixtex-slurps
    - Depend: texlive-binaries instead of texlive-base-bin (Closes: #587485)
    - Standards-Version: 3.9.0

 -- Roland Stigge <stigge@antcom.de>  Tue, 29 Jun 2010 19:47:19 +0200

musixtex (1:0.114-2) unstable; urgency=low

  * Replaces: and Conflicts: musixtex-slurps (also included now)
  * Include psslurs.pro from musixtex-slurps part

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2010 15:54:54 +0200

musixtex (1:0.114-1) unstable; urgency=low

  * New upstream release
    - Repackaged upstream's ZIP file for Windows:
      * Removed generated files (pdf, dvi, ps, exe, foreign executables in
        system/)
      * dos2unix'ed all tex and sty files
      * Added examples by Daniel Taupin (musixexa from WIMA)
  * Moved to new source format 3.0 (quilt)
  * debian/control:
    - Standards-Version: 3.8.4
    - Build-Depends: debhelper (>= 7)
  * Updated debian/watch
  * New upstream includes musixlyr, so added to debian/control:
    Replaces: musixlyr
    Conflicts: musixlyr
  * Includes tuplet.tex (Closes: #478849)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2010 11:32:11 +0200

musixtex (1:0.112.2-5) unstable; urgency=low

  * Rebuild with new dh_installtex (Closes: #564577)
  * debian/control: Standards-Version: 3.8.3

 -- Roland Stigge <stigge@antcom.de>  Sun, 10 Jan 2010 18:28:26 +0100

musixtex (1:0.112.2-4) unstable; urgency=low

  * debian/postrm: Purge /etc/texmf/updmap.d/10musixtex.cfg (Closes: #455133)
  * debian/rules: Don't ignore errors on "make distclean" (thanks to lintian)
  * debian/control: Standards-Version: 3.7.3
  * debian/copyright: Mentioned explicit copyright years
  * debian/musixtex.lintian: Added lintian override for CHANGES.psfonts

 -- Roland Stigge <stigge@antcom.de>  Sun, 09 Mar 2008 16:47:22 +0100

musixtex (1:0.112.2-3) unstable; urgency=low

  * debian/control: Removed all references to tetex (Closes: #420480)

 -- Roland Stigge <stigge@antcom.de>  Thu, 26 Apr 2007 21:01:53 +0200

musixtex (1:0.112.2-2) unstable; urgency=low

  * debian/postrm: Guard against missing kpsewhich (Closes: #391179)
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Thu,  5 Oct 2006 15:33:57 +0200

musixtex (1:0.112.2-1) unstable; urgency=low

  [ Norbert Preining ]
  * repackage orig.tar to include the PostScript Type1 fonts
  * adapt for teTeX3/TeXlive cooperation
  * Add myself to the Uploaders

  [ Roland Stigge ]
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Sat,  6 May 2006 23:42:09 +0200

musixtex (1:0.112.1-3) unstable; urgency=low

  * debian/control:
    - Removed misleading reference to ABC2MTeX
    - Added Suggests: pmx, m-tx
    (Closes: #287049)

 -- Roland Stigge <stigge@antcom.de>  Sun, 26 Dec 2004 16:14:29 +0100

musixtex (1:0.112.1-2) unstable; urgency=low

  * Adjusted (simplified) the debian/copyright file
  * Removed debian/Make_musixtex_source
  * Makefile: established musixdoc.dvi.gz direct file link (instead of
    musixdoc directory), adjusted README.Debian accordingly
  * Minor changes to debian/README.Debian thanks to Julian Gilbey
    <jdg@debian.org>
  * Removed the "Replaces: musixtex-doc" from debian/control since
    Conflicts: is sufficient
  * updated 40musixtex.cnf

 -- Roland Stigge <stigge@antcom.de>  Mon, 18 Aug 2003 15:19:42 +0200

musixtex (1:0.112.1-1) unstable; urgency=low

  * Repackaged Daniel Taupin's latest version because after a longish email
    discussion he anyhow refused to remove non-free parts from his package:
    - Removed dos/glossary.eps (no source / license)
    - Removed tex/backgrnd.sty (no explicit license), therefore adjusted
      tex/musixdoc.tex
    - dos2unix'ed the source and text files
    - Removed the 15 pre-compiled musixflx executables for various arches
    - Removed remaining partially nonfree DOS files (e.g. *.exe) from
      bin/{msdos,win32} except musixtex.ins
    - Added free examples already provided for 1:0.112-1, adjusted
      examples/Makefile according to 1:0.112-2 (4)
  * Added 40musixtex.cnf for /etc/texmf/fmt.d/ to provide an optional format
    generation config file
  * Reintroduced fmt file removal in debian/postrm
  * Removed the package musixtex-doc with just the ps documentation because the
    (much smaller) dvi version is already contained in the musixtex package
    (musixtex Conflicts: and Replaces: musixtex-doc)
    - this was the last open issue of Julian Gilbeys <jdg@debian.org>
      suggestions (Closes: #204562)

 -- Roland Stigge <stigge@antcom.de>  Fri, 15 Aug 2003 11:39:39 +0200

musixtex (1:0.112-2) unstable; urgency=low

  * debian/copyright: Clarified original source's origin and author's
    addresses
  * added debian/musixtex.manpages
  
  * Included some changes suggested by Julian Gilbey <jdg@debian.org>
    from #204562 (see following)
  * debian/copyright: Removed reference to special.map (1)
  * Removed backgrnd.sty at least from binary package (2)
  * Removed musixdoc.{tex,sty} and multicol.sty from binary package (3)
  * examples/Makefile: Adjusted the "proper" clean target, added the target
    alias "realclean" (4)
  * Removed Make_musixdoc from binary package (5)
  * Adjusted debian/Make_musixdoc (6)
  * Adjusted debian/README.Debian (7)
  * Replaced /usr/bin/musixtex with new version from Julian Gilbey
    <jdg@debian.org> (8)
  * Moved musixtex.fmt removal from postrm to postinst (9a)
  * Moved pk file cleanup on upgrade from postrm to postinst (9b)
  * debian/postinst: Replaced texhash with mktexlsr, restricted directories
    for this operation (9c)
  * debian/postrm: Added mktexlsr calls after $VARTEXFONTS tree changes (9d)
  * Makefile: Removed `pwd`/debian/tmp as default DESTDIR from Makefile (10)


=== debian/control ===
Source: musixtex
Build-Depends: debhelper (>= 7), texlive-base, texlive-fonts-recommended, texlive-latex-base, tex-common (>= 0.19)
Section: tex
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Uploaders: Norbert Preining <preining@logic.at>
Standards-Version: 3.9.0

Package: musixtex
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, texlive-base, texlive-binaries
Conflicts: musixtex-fonts, musixtex-doc, musixlyr, musixtex-slurps
Replaces: musixlyr, musixtex-slurps
Provides: musixlyr, musixtex-slurps
Suggests: pmx, m-tx
Description: Typeset music scores with TeX
 This package contains the MusiXTeX macros, musixflex, MusiXTeX User's
 Manual in LaTeX source and DVI formats, and example source MusiXTeX music
 score files.
 .
 MusiXTeX is a set of versatile and power TeX macros to typeset polyphonic,
 orchestral or choral music.  It allows very fine control and produces
 professional printed music scores.
 .
 Due to the important amount of information to be provided to the
 typesetting process, coding MusiXTeX might appear to be awfully
 complicated, especially for beginners.  Therefore, it is recommended
 to use MusiXTeX with some pre-processors, such as PMX and M-Tx,
 available as Debian packages.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debhelper by by Joey Hess,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.
#
# Currently maintained by Roland Stigge <stigge@antcom.de>
# for Debian GNU/Linux.

SHELL = /bin/sh

package = musixtex

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

# to propagate to $(MAKE):
export CFLAGS

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) -C examples proper
	$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/$(package) debian=true install

	dh_installtex map=MixedMap,musix.map formatfile=debian/musixtex.cnf=40

	cp debian/musixtex.lintian `pwd`/debian/musixtex/usr/share/lintian/overrides/musixtex

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do.

# Build architecture-dependent files here.
# (for $(package))
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs debian/README.examples
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress -X.dvi -X.tex
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

## musixtex 0.115

=== debian/changelog ===
musixtex (1:0.115-4) unstable; urgency=low

  * New revision for the tex transition (tex-common 3.4, texlive 2011)
  * debian/control: Build-Depends: texlive-latex-recommended to fix FTBFS

 -- Roland Stigge <stigge@antcom.de>  Sat, 24 Mar 2012 13:40:41 +0100

musixtex (1:0.115-3) experimental; urgency=low

  [ Norbert Preining ]
  * rebuild with tex-common v3
  * remove obsolete conffile in updmap.d (debian/musixtex.maintscript)

  [ Roland Stigge ]
  * debian/control:
    - Standards-Version: 3.9.3
    - Build-Depends: debhelper (>= 9)
  * debian/rules: dh style rules

 -- Roland Stigge <stigge@antcom.de>  Fri, 09 Mar 2012 22:03:05 +0100

musixtex (1:0.115-2) unstable; urgency=low

  * musixtex executable: Use etex instead of tex
  * debian/rules: Added build-arch, build-indep

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Sep 2011 21:29:07 +0200

musixtex (1:0.115-1) unstable; urgency=low

  * New upstream release (Closes: #620856)
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Apr 2011 13:47:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: musixtex
-Build-Depends: debhelper (>= 7), texlive-base, texlive-fonts-recommended, texlive-latex-base, tex-common (>= 0.19)
+Build-Depends: debhelper (>= 9), texlive-base (>= 2011.01), texlive-fonts-recommended (>= 2011.01), texlive-latex-base (>= 2011.01), tex-common (>= 3), texlive-latex-recommended
 Section: tex
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
 Uploaders: Norbert Preining <preining@logic.at>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 
 Package: musixtex
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C examples proper

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/musixtex debian=true install
	dh_installtex map=MixedMap,musix.map formatfile=debian/musixtex.cnf=40

override_dh_compress:
	dh_compress -X.dvi -X.tex

## musixtex 0.115.ctan20130123

=== debian/changelog ===
musixtex (1:0.115.ctan20130123-2) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 13:30:50 +0900

musixtex (1:0.115.ctan20130123-1) experimental; urgency=low

  * New upstream version: current musixtex(-fonts) packages from CTAN
  * adapt debian/rules file
  * replace debian musixtex(.pl) script with shipped musixtex.lua script
    (add dependency on luatex)
  * do not build the doc as it is shipped already, remove all build-deps
    on TeX
  * remove outdated postinst and postrm
  * fix format definition to use pdftex (which is etex)
  * changed maintainer to the Debian TeX Maintainer mailing list with
    agreement of the current maintainer Roland, and put Roland and
    myself in Uploaders field
  * adjust copyright, add LPPL in the copyright file
  * add a get-orig-source rules target and script
  * recommend ghostscript for ps2pdf (used in the musixtex script)

 -- Norbert Preining <preining@debian.org>  Wed, 23 Jan 2013 14:45:40 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: musixtex
-Build-Depends: debhelper (>= 9), texlive-base (>= 2011.01), texlive-fonts-recommended (>= 2011.01), texlive-latex-base (>= 2011.01), tex-common (>= 3), texlive-latex-recommended
+Build-Depends: debhelper (>= 9), tex-common (>= 4.01)
 Section: tex
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
-Uploaders: Norbert Preining <preining@logic.at>
+Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
 Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/debian-tex/musixtex.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/musixtex.git
 
 Package: musixtex
 Architecture: any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, texlive-base, texlive-binaries
+Depends: ${misc:Depends}, texlive-base, texlive-binaries, luatex
 Conflicts: musixtex-fonts, musixtex-doc, musixlyr, musixtex-slurps
 Replaces: musixlyr, musixtex-slurps
 Provides: musixlyr, musixtex-slurps
 Suggests: pmx, m-tx
+Recommends: ghostscript
 Description: Typeset music scores with TeX
  This package contains the MusiXTeX macros, musixflex, MusiXTeX User's
  Manual in LaTeX source and DVI formats, and example source MusiXTeX music

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

package = musixtex
version = 0.115
r = $(CURDIR)/debian/$(package)
TEXMF = $(r)/usr/share/texmf

%:
	dh $@

override_dh_auto_install:
	# install the main texmf tree and the files into it
	mkdir -p $(TEXMF)
	cp -a doc dvips scripts source tex \
	    musixtex-fonts/doc musixtex-fonts/fonts \
	    $(TEXMF)
	# move addons into tex search path
	mkdir $(TEXMF)/tex/generic/musixtex/addons
	mv $(TEXMF)/doc/generic/musixtex/addons/*.tex \
	   $(TEXMF)/doc/generic/musixtex/addons/*.sty \
		$(TEXMF)/tex/generic/musixtex/addons
	# remove man pages from installed doc directory
	rm $(TEXMF)/doc/generic/musixtex/scripts/*.1
	# link the musixflx lua script into usr/bin
	mkdir -p $(r)/usr/bin
	ln -s ../share/texmf/scripts/musixtex/musixflx.lua \
		$(r)/usr/bin/musixflx
	ln -s ../share/texmf/scripts/musixtex/musixtex.lua \
		$(r)/usr/bin/musixtex
	# run the dh_installtex call
	dh_installtex map=MixedMap,musix.map formatfile=debian/musixtex.cnf=40

override_dh_compress:
	dh_compress -X.dvi -X.tex -X.pdf

get-orig-source:
	bash debian/get-orig-source $(version)

## musixtex 1.15.ctan20131214

=== debian/changelog ===
musixtex (1:1.15.ctan20131214-1) unstable; urgency=low

  * update get-orig-source
  * Imported Upstream version 1.15.ctan20131214
    switch to upstream's naming convention 1.15 instead of 0.115
  * fix building due to changes of musixtex-fonts layout
  * remove outdated and included patches
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 15 Dec 2013 00:42:23 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/debian-tex/musixtex.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/musixtex.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 package = musixtex
-version = 0.115
+version = 1.15
 r = $(CURDIR)/debian/$(package)
 TEXMF = $(r)/usr/share/texmf
 
@@ -14,9 +14,20 @@
 override_dh_auto_install:
 	# install the main texmf tree and the files into it
 	mkdir -p $(TEXMF)
-	cp -a doc dvips scripts source tex \
-	    musixtex-fonts/doc musixtex-fonts/fonts \
-	    $(TEXMF)
+	cp -a doc dvips scripts source tex $(TEXMF)
+	# remove double copy of psslurs.pro
+	rm $(TEXMF)/dvips/psslurs.pro
+	# install musixtex-fonts
+	mkdir -p $(TEXMF)/doc/fonts
+	cp -a musixtex-fonts/doc $(TEXMF)/doc/fonts/musixtex-fonts
+	mkdir -p $(TEXMF)/fonts/source/public
+	cp -a musixtex-fonts/source $(TEXMF)/fonts/source/public/musixtex-fonts
+	mkdir -p $(TEXMF)/fonts/tfm/public
+	cp -a musixtex-fonts/tfm $(TEXMF)/fonts/tfm/public/musixtex-fonts
+	mkdir -p $(TEXMF)/fonts/type1/public
+	cp -a musixtex-fonts/type1 $(TEXMF)/fonts/type1/public/musixtex-fonts
+	mkdir -p $(TEXMF)/fonts/map/dvips
+	cp -a musixtex-fonts/map $(TEXMF)/fonts/map/dvips/musixtex-fonts
 	# move addons into tex search path
 	mkdir $(TEXMF)/tex/generic/musixtex/addons
 	mv $(TEXMF)/doc/generic/musixtex/addons/*.tex \

## musixtex 1.18.ctan20150727

=== debian/changelog ===
musixtex (1:1.18.ctan20150727-1) unstable; urgency=medium

  * new upstreams for both MusixTeX and the MusixTeX fonts

 -- Norbert Preining <preining@debian.org>  Mon, 27 Jul 2015 22:04:36 +0900

musixtex (1:1.17.ctan20150601-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:47:29 +0900

musixtex (1:1.17.ctan20150601-1) experimental; urgency=medium

  * Imported Upstream version 1.17.ctan20150601
  * bump tex-common build dep to >= 6 for updated fmt handling
  * remove fmt.d conffile on upgrade

 -- Norbert Preining <preining@debian.org>  Sat, 06 Jun 2015 15:34:05 +0900

musixtex (1:1.16.ctan20150301-1) experimental; urgency=medium

  * Imported Upstream version 1.16.ctan20150301
    - curly.tex and tuplet.tex have been integrated, underbracket.sty dropped
  * bump standards version, no changes necessary
  * adapt deps to texlive-binaries (>...) | luatex

 -- Norbert Preining <preining@debian.org>  Sun, 01 Mar 2015 21:26:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: musixtex
-Build-Depends: debhelper (>= 9), tex-common (>= 4.01)
+Build-Depends: debhelper (>= 9), tex-common (>= 6)
 Section: tex
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-tex/musixtex.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/musixtex.git
 
 Package: musixtex
 Architecture: any
-Depends: ${misc:Depends}, texlive-base, texlive-binaries, luatex
+Depends: ${misc:Depends}, texlive-base, texlive-binaries (>= 2014.20140512.33982)
 Conflicts: musixtex-fonts, musixtex-doc, musixlyr, musixtex-slurps
 Replaces: musixlyr, musixtex-slurps
 Provides: musixlyr, musixtex-slurps

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,6 @@
 	cp -a musixtex-fonts/type1 $(TEXMF)/fonts/type1/public/musixtex-fonts
 	mkdir -p $(TEXMF)/fonts/map/dvips
 	cp -a musixtex-fonts/map $(TEXMF)/fonts/map/dvips/musixtex-fonts
-	# move addons into tex search path
-	mkdir $(TEXMF)/tex/generic/musixtex/addons
-	mv $(TEXMF)/doc/generic/musixtex/addons/*.tex \
-	   $(TEXMF)/doc/generic/musixtex/addons/*.sty \
-		$(TEXMF)/tex/generic/musixtex/addons
 	# remove man pages from installed doc directory
 	rm $(TEXMF)/doc/generic/musixtex/scripts/*.1
 	# link the musixflx lua script into usr/bin
@@ -42,7 +37,7 @@
 	ln -s ../share/texmf/scripts/musixtex/musixtex.lua \
 		$(r)/usr/bin/musixtex
 	# run the dh_installtex call
-	dh_installtex map=MixedMap,musix.map formatfile=debian/musixtex.cnf=40
+	dh_installtex map=MixedMap,musix.map formatfile=debian/musixtex.cnf
 
 override_dh_compress:
 	dh_compress -X.dvi -X.tex -X.pdf

## musixtex 1.20.ctan20151216

=== debian/changelog ===
musixtex (1:1.20.ctan20151216-4) unstable; urgency=medium

  * Remove Roland from uploaders, thanks (Closes: #843369)

 -- Norbert Preining <preining@debian.org>  Sun, 06 Nov 2016 21:04:03 +0900

musixtex (1:1.20.ctan20151216-3) unstable; urgency=medium

  * convert to dummy transitional package, musixtex is now
    part of texlive-music

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 22:10:51 +0900

musixtex (1:1.20.ctan20151216-2) unstable; urgency=medium

  * remove dummy ' file, thanks Klaus Knopper (Closes: #809333)

 -- Norbert Preining <preining@debian.org>  Tue, 29 Dec 2015 21:41:14 +0900

musixtex (1:1.20.ctan20151216-1) unstable; urgency=medium

  * new upstream releases

 -- Norbert Preining <preining@debian.org>  Wed, 16 Dec 2015 23:22:27 +0900

=== debian/control ===
Source: musixtex
Build-Depends: debhelper (>= 9)
Section: oldlibs
Priority: extra
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Standards-Version: 3.9.6

Package: musixtex
Architecture: all
Depends: texlive-music (>= 2015.20160223)
Description: transitional dummy package
 This is a transitional package for musixtex to ensure proper
 upgrade to texlive-music. It can be safely removed after the installation is
 complete.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

package = musixtex
version = 1.15
r = $(CURDIR)/debian/$(package)
TEXMF = $(r)/usr/share/texmf

%:
	dh $@

get-orig-source:
	bash debian/get-orig-source $(version)

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
version=2
http://icking-music-archive.org/software/musixtex/musixtex(.{1,3}).zip 114
